Package com.independentsoft.office.word.mailMerge

# Class FieldMappingData

java.lang.Object
com.independentsoft.office.word.mailMerge.FieldMappingData

public class FieldMappingData extends Object
The Class FieldMappingData.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldMappingData()`
  Instantiates a new field mapping data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldMappingData`
  `clone()`
  `long`
  `getColumnIndex()`
  Gets the column index.
  `String`
  `getColumnName()`
  Gets the column name.
  `ExtendedBoolean`
  `getDynamicAddress()`
  Gets the dynamic address.
  `String`
  `getLanguage()`
  Gets the language.
  `String`
  `getMappedName()`
  Gets the mapped name.
  `MergeFieldMappingType`
  `getType()`
  Gets the type.
  `void`
  `setColumnIndex​(long columnIndex)`
  Sets the column index.
  `void`
  `setColumnName​(String columnName)`
  Sets the column name.
  `void`
  `setDynamicAddress​(ExtendedBoolean dynamicAddress)`
  Sets the dynamic address.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setMappedName​(String mappedName)`
  Sets the mapped name.
  `void`
  `setType​(MergeFieldMappingType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FieldMappingData

    public FieldMappingData()
    Instantiates a new field mapping data.

- ## Method Details

  - ### clone

    public FieldMappingData clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColumnIndex

    public long getColumnIndex()
    Gets the column index.
    Returns:
      the column index

  - ### setColumnIndex

    public void setColumnIndex​(long columnIndex)
    Sets the column index.
    Parameters:
      `columnIndex` - the new column index

  - ### getDynamicAddress

    public ExtendedBoolean getDynamicAddress()
    Gets the dynamic address.
    Returns:
      the dynamic address

  - ### setDynamicAddress

    public void setDynamicAddress​(ExtendedBoolean dynamicAddress)
    Sets the dynamic address.
    Parameters:
      `dynamicAddress` - the new dynamic address

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getMappedName

    public String getMappedName()
    Gets the mapped name.
    Returns:
      the mapped name

  - ### setMappedName

    public void setMappedName​(String mappedName)
    Sets the mapped name.
    Parameters:
      `mappedName` - the new mapped name

  - ### getColumnName

    public String getColumnName()
    Gets the column name.
    Returns:
      the column name

  - ### setColumnName

    public void setColumnName​(String columnName)
    Sets the column name.
    Parameters:
      `columnName` - the new column name

  - ### getType

    public MergeFieldMappingType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(MergeFieldMappingType type)
    Sets the type.
    Parameters:
      `type` - the new type